VisualWget
----------
A visual download manager to retrieve files from the web, based on Wget.

- Website: http://visualwget.github.io/
- Github: https://github.com/VisualWget

Download
--------
To download VisualWget visit the [downloads page](http://visualwget.github.io/download) on the website.

Build VisualWget
----------------
To build VisualWget, use [Microsoft Visual Studio Express 2013 for Windows Desktop](http://www.visualstudio.com/downloads/download-visual-studio-vs).
- Install the software and once completed open "VisualWget.sln" file.
- Via the menu bar choose "Build -> Build Solution".
- There should now be 2 directories, named "bin" and "obj".

To build Wget, please use [MinGW](http://www.mingw.org).
- Make sure that MinWG has been added to your [path](http://stackoverflow.com/questions/5733220/how-to-add-mingw-bin-directory-to-my-system-path).
- Open cmd.exe from the Wget source tree (VisualWget/wget/wget-1.11.4-mingw/src, run
```
mingw32-make
```
If you want SSL support (recommended), run
```
mingw32-make SSL=1
```

License
-------
VisualWget
Copyright (C) 2010-2014 VisualWget Team

VisualWget Team:

**Khomsan Phongphisansakun**

**Craig Davison**

-------------------------------------------------------------------------------------------------------

**VisualWget is distributed under the terms of the Microsoft Public License (MS-PL) below.**

```
This license governs use of the accompanying software. If you use the software, you accept
this license. If you do not accept the license, do not use the software.

1) Definitions
- The terms "reproduce," "reproduction," "derivative works," and "distribution" have the
same meaning here as under U.S. copyright law.
- A "contribution" is the original software, or any additions or changes to the software.
- A "contributor" is any person that distributes its contribution under this license.
- "Licensed patents" are a contributor's patent claims that read directly on its
contribution.

2) Grant of Rights
- Copyright Grant- Subject to the terms of this license, including the license conditions
and limitations in section 3, each contributor grants you a non-exclusive, worldwide,
royalty-free copyright license to reproduce its contribution, prepare derivative works of
its contribution, and distribute its contribution or any derivative works that you create.
- Patent Grant- Subject to the terms of this license, including the license conditions and
limitations in section 3, each contributor grants you a non-exclusive, worldwide,
royalty-free license under its licensed patents to make, have made, use, sell, offer for
sale, import, and/or otherwise dispose of its contribution in the software or derivative
works of the contribution in the software.

3) Conditions and Limitations
- No Trademark License- This license does not grant you rights to use any contributors'
name, logo, or trademarks.
- If you bring a patent claim against any contributor over patents that you claim are
infringed by the software, your patent license from such contributor to the software ends
automatically.
- If you distribute any portion of the software, you must retain all copyright, patent,
trademark, and attribution notices that are present in the software.
- If you distribute any portion of the software in source code form, you may do so only
under this license by including a complete copy of this license with your distribution.
If you distribute any portion of the software in compiled or object code form, you may
only do so under a license that complies with this license.
- The software is licensed "as-is." You bear the risk of using it. The contributors give
no express warranties, guarantees or conditions. You may have additional consumer rights
under your local laws which this license cannot change. To the extent permitted under
your local laws, the contributors exclude the implied warranties of merchantability,
fitness for a particular purpose and non-infringement.
```
